Redmine - Defect #10106

Test Email Sending Error
2012-01-31 15:03 - Rajan Rawal

Status: Closed Start date: 2012-01-31
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues Estimated time: 0.00 hour

Target version:

Resolution: Invalid Affected version: 1.3.0

Description

Test Email Sending Error:
An error occurred while sending mail (Connection refused - connect(2))

configuration.yml setting as below:

production:
delivery_method: :smtp
smtp_settings:

tls: true
enable_starttls_auto: true
address: smtp.gmail.com
port: 587

domain: "smtp.gmail.com”
authentication: :login

user_name: "xxx@gmail.com"

password: "xxx"

Here are the

Ruby version 1.8.7 (i686-linux)
RubyGems version 1.4.2

Rack version 1.1

Rails version 2.3.14

Active Record version 2.3.14
Active Resource version 2.3.14
Action Mailer version 2.3.14
Active Support version 2.3.14
Edge Rails revision unknown

Application root /home/techfu/rails_apps/redmine
Environment development
Database adapter mysq|

Database schema version 20100819172912

About your Redmine plugins
Redmine Logs plugin 0.0.3

The Error log is as below:

Processing AdminController#test_email (for 202.177.236.98 at 2012-01-31 07:55:41) [GET]

Parameters: {"action"=>"test_email", "controller"=>"admin"}

[4;36;1mSQL (0.1ms)[0m [0;1mSELECT max( settings'.updated_on) AS max_updated_on FROM "settings™ [Om

[4;35;1mUser Load (0.2ms)[0m [OmSELECT * FROM “users’ WHERE (‘users’."id" = 1) AND (users.status = 1) AND ( (‘users’. type’
= 'User' OR "users’.’type" = 'AnonymousUser' ) ) [Om

[4;36;1mUserPreference Load (0.2ms)[0m [0;1mSELECT * FROM "user_preferences’ WHERE (‘user_preferences .user_id = 1)
LIMIT 1[0Om

Sending email notification to: iipl.redmine@gmail.com

Redirected to http://redmine.ithinkinfotech.com/settings/edit?tab=natifications

Completed in 61ms (DB: 1) | 302 Found [http://redmine.ithinkinfotech.com/admin/test_email]

Related issues:
Has duplicate Redmine - Defect #10123: Test Email Sending Error Closed
mailto:xxx@gmail.com
mailto:iipl.redmine@gmail.com
http://redmine.ithinkinfotech.com/settings/edit?tab=notifications
http://redmine.ithinkinfotech.com/admin/test_email

History

#1 - 2012-01-31 18:08 - Etienne Massip
- Status changed from New to Closed
- Assignee deleted (Rajan Rawal)

- Resolution set to Invalid

This tracker is for bugs and feature requests only, please post in forum.

And see EmailConfiguration to get a working Gmail configuration example.

#2 - 2019-02-10 07:58 - Go MAEDA
- Has duplicate Defect #10123: Test Email Sending Error added
https://www.redmine.org/projects/redmine/wiki/EmailConfiguration#Example-configurationyml-Configurations
http://www.tcpdf.org

